Index: /extensions/UserCollections/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ar_SA/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/ar_SA/plugin.lang.php	(revision 26058)
@@ -28,5 +28,5 @@
 $lang['Restricted access'] = 'وصول مقيد';
 $lang['Save'] = 'حفظ';
-$lang['Send this collection my mail'] = 'ارسال هذه المجموعةالى بريدي الالكتروني';
+$lang['Send this collection by mail'] = 'ارسال هذه المجموعةالى بريدي الالكتروني';
 $lang['Share'] = 'مشاركة';
 $lang['Share deleted'] = 'المشاركة حذفت';
Index: /extensions/UserCollections/language/bg_BG/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/bg_BG/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/bg_BG/plugin.lang.php	(revision 26058)
@@ -24,5 +24,5 @@
 $lang['Your e-mail'] = 'Вашият имейл';
 $lang['Your name'] = 'Вашето име';
-$lang['Send this collection my mail'] = 'Изпрати тези колекция до имейла ми';
+$lang['Send this collection by mail'] = 'Изпрати тези колекция до имейла ми';
 $lang['Save'] = 'Запис';
 $lang['Preview'] = 'Преглед';
Index: /extensions/UserCollections/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ca_ES/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/ca_ES/plugin.lang.php	(revision 26058)
@@ -65,5 +65,5 @@
 $lang['Recipient e-mail'] = 'E-mail del destinatari';
 $lang['Recipient name'] = 'Nom del destinatari';
-$lang['Send this collection my mail'] = 'Enviar aquesta col·lecció per correu';
+$lang['Send this collection by mail'] = 'Enviar aquesta col·lecció per correu';
 $lang['The collection must be public in order to send it'] = 'Cal que la col·lecció sigui pública per a enviar-la';
 $lang['Your e-mail'] = 'El teu e-mail';
Index: /extensions/UserCollections/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/cs_CZ/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/cs_CZ/plugin.lang.php	(revision 26058)
@@ -63,5 +63,5 @@
 $lang['Recipient e-mail'] = 'Email příjemce';
 $lang['Recipient name'] = 'Jméno příjemce';
-$lang['Send this collection my mail'] = 'Poslat tuto kolekci na můj email';
+$lang['Send this collection by mail'] = 'Poslat tuto kolekci na můj email';
 $lang['Your e-mail'] = 'Váš email';
 $lang['Your name'] = 'Vaše jméno';
Index: /extensions/UserCollections/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/da_DK/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/da_DK/plugin.lang.php	(revision 26058)
@@ -37,5 +37,5 @@
 $lang['Save'] = 'Gem';
 $lang['This collection is empty'] = 'Denne samling er tom';
-$lang['Send this collection my mail'] = 'Send denne samling til min mailadresse';
+$lang['Send this collection by mail'] = 'Send denne samling til min mailadresse';
 $lang['Your e-mail'] = 'Din e-mailadresse';
 $lang['Your name'] = 'Dit navn';
Index: /extensions/UserCollections/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/de_DE/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/de_DE/plugin.lang.php	(revision 26058)
@@ -43,5 +43,5 @@
 $lang['Recipient e-mail'] = 'Empfänger Email';
 $lang['Recipient name'] = 'Empfänger Name';
-$lang['Send this collection my mail'] = 'Versende diese Auswahl per Email';
+$lang['Send this collection by mail'] = 'Versende diese Auswahl per Email';
 $lang['Your e-mail'] = 'Deine Email';
 $lang['Your name'] = 'Dein Name';
Index: /extensions/UserCollections/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/el_GR/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/el_GR/plugin.lang.php	(revision 26058)
@@ -39,5 +39,5 @@
 $lang['Your name'] = 'Το Όνομά σας';
 $lang['Your e-mail'] = 'Το e-mail σας';
-$lang['Send this collection my mail'] = 'Στείλτε αυτή τη συλλογή στο e-mail μου';
+$lang['Send this collection by mail'] = 'Στείλτε αυτή τη συλλογή στο e-mail μου';
 $lang['Recipient name'] = 'Το Όνομα του παραλήπτη';
 $lang['Recipient e-mail'] = 'Το e-mail του παραλήπτη';
Index: /extensions/UserCollections/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/en_UK/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/en_UK/plugin.lang.php	(revision 26058)
@@ -40,5 +40,5 @@
 $lang['Export image list'] = 'Export image list';
 $lang['Delete this collection'] = 'Delete this collection';
-$lang['Send this collection my mail'] = 'Send this collection to my mail';
+$lang['Send this collection by mail'] = 'Send this collection by mail';
 $lang['Clear this collection'] = 'Clear this collection';
 $lang['Please enter your name'] = 'Please enter your name';
Index: /extensions/UserCollections/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/eo_EO/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/eo_EO/plugin.lang.php	(revision 26058)
@@ -68,5 +68,5 @@
 $lang['Restricted access'] = 'Limigita atingo';
 $lang['Save'] = 'Konservi';
-$lang['Send this collection my mail'] = 'Sendi tiun kolekton rete';
+$lang['Send this collection by mail'] = 'Sendi tiun kolekton rete';
 $lang['Share'] = 'Kunhavigi';
 $lang['Share deleted'] = 'Kunhavigo forigita';
Index: /extensions/UserCollections/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/es_ES/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/es_ES/plugin.lang.php	(revision 26058)
@@ -43,5 +43,5 @@
 $lang['Recipient e-mail'] = 'E-mail del destinatario';
 $lang['Recipient name'] = 'Nombre del destinatario';
-$lang['Send this collection my mail'] = 'Enviar esta colección por correo';
+$lang['Send this collection by mail'] = 'Enviar esta colección por correo';
 $lang['Your e-mail'] = 'Su e-mail';
 $lang['Your name'] = 'Su nombre';
Index: /extensions/UserCollections/language/et_EE/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/et_EE/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/et_EE/plugin.lang.php	(revision 26058)
@@ -24,5 +24,5 @@
 $lang['Saved collections'] = 'Salvestatud seeriad';
 $lang['See all my collections'] = 'Näita kõik mu seeriad';
-$lang['Send this collection my mail'] = 'Saada antud fotoseeria minu meilile';
+$lang['Send this collection by mail'] = 'Saada antud fotoseeria minu meilile';
 $lang['The collection must be public in order to send it'] = 'Et fotoseeriat saata, peab see olema avalikustatud';
 $lang['This collection is empty'] = 'Fotoseeriast puuduvad pildid';
Index: /extensions/UserCollections/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 26058)
@@ -39,5 +39,5 @@
 $lang['Your name'] = 'نام شما';
 $lang['Your e-mail'] = 'ایمیل شما';
-$lang['Send this collection my mail'] = 'این کلکسیون را به ایمیلم بفرست';
+$lang['Send this collection by mail'] = 'این کلکسیون را به ایمیلم بفرست';
 $lang['Recipient name'] = 'نام دریافت کننده';
 $lang['Recipient e-mail'] = 'ایمیل دریافت کننده';
Index: /extensions/UserCollections/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/fr_FR/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/fr_FR/plugin.lang.php	(revision 26058)
@@ -40,5 +40,5 @@
 $lang['Export image list'] = 'Exporter la liste d\'images';
 $lang['Delete this collection'] = 'Supprimer la collection';
-$lang['Send this collection my mail'] = 'Envoyer cette collection par mail';
+$lang['Send this collection by mail'] = 'Envoyer cette collection par mail';
 $lang['Clear this collection'] = 'Vider cette collection';
 $lang['Please enter your name'] = 'Veuillez entrer votre nom';
Index: /extensions/UserCollections/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/hu_HU/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/hu_HU/plugin.lang.php	(revision 26058)
@@ -57,5 +57,5 @@
 $lang['Your e-mail'] = 'E-mail címe';
 $lang['Your name'] = 'Neve';
-$lang['Send this collection my mail'] = 'Gyűjtemény küldése e-mail-ben';
+$lang['Send this collection by mail'] = 'Gyűjtemény küldése e-mail-ben';
 $lang['Active'] = 'Aktív';
 $lang['Clear this collection'] = 'Tartalom törlése';
Index: /extensions/UserCollections/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/it_IT/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/it_IT/plugin.lang.php	(revision 26058)
@@ -40,5 +40,5 @@
 $lang['Your e-mail'] = 'La tua e-mail';
 $lang['Your name'] = 'Il tuo nome';
-$lang['Send this collection my mail'] = 'Invia questa collezione alla mia mail';
+$lang['Send this collection by mail'] = 'Invia questa collezione alla mia mail';
 $lang['Recipient name'] = 'Nome destinatario';
 $lang['Recipient e-mail'] = 'Destinatario e-mail';
Index: /extensions/UserCollections/language/lt_LT/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/lt_LT/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/lt_LT/plugin.lang.php	(revision 26058)
@@ -29,5 +29,5 @@
 $lang['Restricted access'] = 'Apribotas priėjimas';
 $lang['Save'] = 'Išsaugoti';
-$lang['Send this collection my mail'] = 'Atsiųsti šią kolekciją man el. paštu';
+$lang['Send this collection by mail'] = 'Atsiųsti šią kolekciją man el. paštu';
 $lang['Share'] = 'Prieiga';
 $lang['Share deleted'] = 'Prieiga pašalinta';
Index: /extensions/UserCollections/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/lv_LV/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/lv_LV/plugin.lang.php	(revision 26058)
@@ -37,5 +37,5 @@
 $lang['You have %d collections'] = 'Jums ir %d kolekcijas';
 $lang['You have no collection'] = 'Jums nav kolekciju';
-$lang['Send this collection my mail'] = 'Nosūtīt šo kolekciju uz manu e-pastu';
+$lang['Send this collection by mail'] = 'Nosūtīt šo kolekciju uz manu e-pastu';
 $lang['Your name'] = 'Jūsu vārds';
 $lang['Your e-mail'] = 'Jūsu e-pasta adrese';
Index: /extensions/UserCollections/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/nl_NL/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/nl_NL/plugin.lang.php	(revision 26058)
@@ -52,5 +52,5 @@
 $lang['Recipient e-mail'] = 'Email ontvanger';
 $lang['Recipient name'] = 'Naam ontvanger';
-$lang['Send this collection my mail'] = 'Stuur deze verzameling per mail';
+$lang['Send this collection by mail'] = 'Stuur deze verzameling per mail';
 $lang['Your e-mail'] = 'Uw email';
 $lang['Your name'] = 'Uw naam';
Index: /extensions/UserCollections/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pl_PL/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/pl_PL/plugin.lang.php	(revision 26058)
@@ -53,5 +53,5 @@
 $lang['Recipient e-mail'] = 'Adres e-mail odbiorcy';
 $lang['Recipient name'] = 'Nazwa odbiorcy';
-$lang['Send this collection my mail'] = 'Wyślij tą kolekcję na mój adres e-mail';
+$lang['Send this collection by mail'] = 'Wyślij tą kolekcję na mój adres e-mail';
 $lang['The collection must be public in order to send it'] = 'Aby wysłać tą kolekcję musi zostać oznaczona jako publiczna';
 $lang['Your e-mail'] = 'Twój e-mail';
Index: /extensions/UserCollections/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pt_BR/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/pt_BR/plugin.lang.php	(revision 26058)
@@ -43,5 +43,5 @@
 $lang['Recipient e-mail'] = 'E-mail';
 $lang['Recipient name'] = 'Nome';
-$lang['Send this collection my mail'] = 'Envie essa coleção para meu e-mail';
+$lang['Send this collection by mail'] = 'Envie essa coleção para meu e-mail';
 $lang['Your e-mail'] = 'Seu e-mail';
 $lang['Your name'] = 'Seu nome';
Index: /extensions/UserCollections/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pt_PT/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/pt_PT/plugin.lang.php	(revision 26058)
@@ -53,5 +53,5 @@
 $lang['Recipient e-mail'] = 'E-mail destinatário';
 $lang['Recipient name'] = 'Nome do destinatário';
-$lang['Send this collection my mail'] = 'Enviar esta colecção para o meu e-mail';
+$lang['Send this collection by mail'] = 'Enviar esta colecção para o meu e-mail';
 $lang['The collection must be public in order to send it'] = 'A colecção deve ser pública de forma a ser enviada';
 $lang['Your e-mail'] = 'O seu e-mail';
Index: /extensions/UserCollections/language/ro_RO/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ro_RO/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/ro_RO/plugin.lang.php	(revision 26058)
@@ -41,5 +41,5 @@
 $lang['Your e-mail'] = 'Adresa ta de e-mail';
 $lang['Your name'] = 'Numele tău';
-$lang['Send this collection my mail'] = 'Trimite-mi această colecție la adresa mea de e-mail';
+$lang['Send this collection by mail'] = 'Trimite-mi această colecție la adresa mea de e-mail';
 $lang['This collection is empty'] = 'Această colecție este goală';
 $lang['You have %d collection'] = 'Ai %d colecții';
Index: /extensions/UserCollections/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ru_RU/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/ru_RU/plugin.lang.php	(revision 26058)
@@ -43,5 +43,5 @@
 $lang['Recipient e-mail'] = 'E-mail получателя';
 $lang['Recipient name'] = 'Имя получателя';
-$lang['Send this collection my mail'] = 'Отправить эту коллекцию мне на почту';
+$lang['Send this collection by mail'] = 'Отправить эту коллекцию мне на почту';
 $lang['Your e-mail'] = 'Ваш e-mail';
 $lang['Your name'] = 'Ваше имя';
Index: /extensions/UserCollections/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/sk_SK/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/sk_SK/plugin.lang.php	(revision 26058)
@@ -37,5 +37,5 @@
 $lang['You have %d collections'] = 'Máte %d kolekcií';
 $lang['You have no collection'] = 'Nemáte kolekcie';
-$lang['Send this collection my mail'] = 'Poslať túto kolekciu na môj mail';
+$lang['Send this collection by mail'] = 'Poslať túto kolekciu na môj mail';
 $lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'Ahoj <b>%s</b>, %s posielam foto kolekciu od <a href="%s">%s</a>';
 $lang['A photo collection by %s'] = 'Kolekcia fotiek %s';
Index: /extensions/UserCollections/language/sl_SI/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/sl_SI/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/sl_SI/plugin.lang.php	(revision 26058)
@@ -48,5 +48,5 @@
 $lang['Restricted access'] = 'Omejen dostop';
 $lang['Save'] = 'Shrani';
-$lang['Send this collection my mail'] = 'Pošlji zbirko na moj e-poštni naslov';
+$lang['Send this collection by mail'] = 'Pošlji zbirko na moj e-poštni naslov';
 $lang['Share'] = 'Skupna uporaba';
 $lang['Share deleted'] = 'Skupna uporaba izbrisana';
Index: /extensions/UserCollections/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/sv_SE/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/sv_SE/plugin.lang.php	(revision 26058)
@@ -24,5 +24,5 @@
 $lang['Saved collections'] = 'Sparade sammlingar';
 $lang['See all my collections'] = 'Se alla mina sammlingar';
-$lang['Send this collection my mail'] = 'Skicka den här sammlingen till min mail';
+$lang['Send this collection by mail'] = 'Skicka den här sammlingen till min mail';
 $lang['The collection must be public in order to send it'] = 'Sammlingen måste vara publik för att kunna skickas';
 $lang['This collection is empty'] = 'Den här sammlingen är tom';
Index: /extensions/UserCollections/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/tr_TR/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/tr_TR/plugin.lang.php	(revision 26058)
@@ -40,5 +40,5 @@
 $lang['Date added to collection, new &rarr; old'] = 'Koleksiyona eklenme tarihi, yeni &rarr; eski';
 $lang['Date added to collection, old &rarr; new'] = 'Koleksiyona eklenme tarihi, eski &rarr; yeni';
-$lang['Send this collection my mail'] = 'Bu koleksiyonu e-posta ile gönder';
+$lang['Send this collection by mail'] = 'Bu koleksiyonu e-posta ile gönder';
 $lang['Recipient e-mail'] = 'Alıcı e-posta adresi';
 $lang['Preview'] = 'Ön görünüm';
Index: /extensions/UserCollections/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/uk_UA/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/uk_UA/plugin.lang.php	(revision 26058)
@@ -62,5 +62,5 @@
 $lang['Recipient e-mail'] = 'Адреса електронної пошти одержувача';
 $lang['Recipient name'] = 'Ім\'я одержувача';
-$lang['Send this collection my mail'] = 'Надіслати цю колекцію на мою пошту';
+$lang['Send this collection by mail'] = 'Надіслати цю колекцію на мою пошту';
 $lang['The collection must be public in order to send it'] = 'Колекція має бути публічним, для того, щоб надіслати її';
 $lang['Your e-mail'] = 'Ваша електронна пошта';
Index: /extensions/UserCollections/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/zh_CN/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/zh_CN/plugin.lang.php	(revision 26058)
@@ -55,5 +55,5 @@
 $lang['Recipient name'] = '收件人名字';
 $lang['Allow users to send their public collections by mail'] = '允许用户通过e-mail发送其公开精选集';
-$lang['Send this collection my mail'] = '将此精选集发送至我的邮箱';
+$lang['Send this collection by mail'] = '将此精选集发送至我的邮箱';
 $lang['Your e-mail'] = '您的e-mail';
 $lang['Your name'] = '您的名字';
Index: /extensions/UserCollections/language/zh_HK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/zh_HK/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/zh_HK/plugin.lang.php	(revision 26058)
@@ -44,5 +44,5 @@
 $lang['Remove from collection'] = '從收藏集刪除';
 $lang['Save'] = '儲存';
-$lang['Send this collection my mail'] = '發送這個收藏集至我的電郵';
+$lang['Send this collection by mail'] = '發送這個收藏集至我的電郵';
 $lang['This collection is empty'] = '這個收藏集是空的';
 $lang['You have %d collection'] = '有你　%d 收藏集';
Index: /extensions/UserCollections/language/zh_TW/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/zh_TW/plugin.lang.php	(revision 26057)
+++ /extensions/UserCollections/language/zh_TW/plugin.lang.php	(revision 26058)
@@ -64,5 +64,5 @@
 $lang['Saved collections'] = '儲存的收藏集品';
 $lang['See all my collections'] = '我所有的收藏集品';
-$lang['Send this collection my mail'] = '將此收藏集發送到我的郵件';
+$lang['Send this collection by mail'] = '將此收藏集發送到我的郵件';
 $lang['The collection must be public in order to send it'] = '發送收藏集必須是公共的';
 $lang['This collection is empty'] = '這個收藏集是空的';
Index: /extensions/UserCollections/template/buttons/mail.tpl
===================================================================
--- /extensions/UserCollections/template/buttons/mail.tpl	(revision 26057)
+++ /extensions/UserCollections/template/buttons/mail.tpl	(revision 26058)
@@ -1,3 +1,3 @@
-<a href="#mail_form" title="{'Send this collection my mail'|translate}" class="mail_colorbox_open pwg-state-default pwg-button" rel="nofollow">
+<a href="#mail_form" title="{'Send this collection by mail'|translate}" class="mail_colorbox_open pwg-state-default pwg-button" rel="nofollow">
   <span class="pwg-icon user-collections-mail-icon" style="background:url('{$ROOT_URL}{$USER_COLLEC_PATH}template/resources/mail.png') center center no-repeat;">&nbsp;</span><span class="pwg-button-text">{'Send'|translate}</span>
 </a>