Index: /extensions/plugin_lang_analysis/admin.php
===================================================================
--- /extensions/plugin_lang_analysis/admin.php	(revision 26058)
+++ /extensions/plugin_lang_analysis/admin.php	(revision 26059)
@@ -54,5 +54,5 @@
       $file = array(
         'path' => $file,
-        'is_admin' => strpos($file, '/admin') === 0,
+        'is_admin' => strpos($file, '/admin') === 0 || strpos($file, 'admin.tpl') !== false,
         'lang_files' => $default_lang_files
         );
@@ -243,4 +243,5 @@
     'PLA_COUNTS' => $counts,
     'U_BACK' => PLA_ADMIN.'&amp;plugin_id='.$_GET['plugin_id'].'&amp;config',
+    'U_REFRESH' => PLA_ADMIN.'&amp;plugin_id='.$_GET['plugin_id'].'&amp;analyze',
     ));
 }
Index: /extensions/plugin_lang_analysis/include/functions.inc.php
===================================================================
--- /extensions/plugin_lang_analysis/include/functions.inc.php	(revision 26058)
+++ /extensions/plugin_lang_analysis/include/functions.inc.php	(revision 26059)
@@ -155,4 +155,12 @@
       }
     }
+    // l10n_args
+    if (preg_match_all('#get_l10n_args\((?:\s*)(?:["\']{1})(.*?)(?:["\']{1})#', $line, $matches))
+    {
+      for ($j=0; $j<count($matches[1]); ++$j)
+      {
+        $strings[ stripslashes($matches[1][$j]) ][] = $i+1;
+      }
+    }
   }
   
Index: /extensions/plugin_lang_analysis/template/analysis.tpl
===================================================================
--- /extensions/plugin_lang_analysis/template/analysis.tpl	(revision 26058)
+++ /extensions/plugin_lang_analysis/template/analysis.tpl	(revision 26059)
@@ -57,10 +57,10 @@
 <form class="properties">
 <fieldset>
-  <legend>{'Analysis results'|@translate}</legend>
+  <legend>{'Analysis results'|translate}</legend>
   
   <p style="text-align:left;">
-    <a class="open-all">{'Expand all'|@translate}</a>
-    / <a class="open-missing">{'Expand missing'|@translate}</a>
-    / <a class="close-all">{'Collapse all'|@translate}</a>
+    <a class="open-all">{'Expand all'|translate}</a>
+    / <a class="open-missing">{'Expand missing'|translate}</a>
+    / <a class="close-all">{'Collapse all'|translate}</a>
   </p>
   
@@ -70,8 +70,8 @@
       <th></th>
       <th class="legend">
-        <span class="missing">{'Missing'|@translate}</span>
-        <span class="useless">{'Useless'|@translate}</span>
+        <span class="missing">{'Missing'|translate}</span>
+        <span class="useless">{'Useless'|translate}</span>
       </th>
-      <th>{'Dependency'|@translate}</th>
+      <th>{'Dependency'|translate}</th>
     {foreach from=$PLA_LANG_FILES item=lang_file}
       <th>{$lang_file}</th>
@@ -91,11 +91,11 @@
         {if isset($data.warnings)}<span class="iconpla-attention-circled tiptip" title="{'<br>'|@implode:$data.warnings}"></span>{/if}
       </td>
-      {if $data.is_admin}<td class="text-admin">{'Admin'|@translate}</td>
-      {else}<td class="text-common">{'Common'|@translate}</td>{/if}
+      {if $data.is_admin}<td class="text-admin">{'Admin'|translate}</td>
+      {else}<td class="text-common">{'Common'|translate}</td>{/if}
     {foreach from=$PLA_LANG_FILES item=lang_file}
-      <td>{if $lang_file|in_array:$data.in_plugin}<b>{'Yes'|@translate}</b>{else}{'No'|@translate}{/if}</td>
+      <td>{if $lang_file|in_array:$data.in_plugin}<b>{'Yes'|translate}</b>{else}{'No'|translate}{/if}</td>
     {/foreach}
-      <td>{if $data.in_common}<b>{'Yes'|@translate}</b>{else}{'No'|@translate}{/if}</td>
-      <td>{if $data.in_admin}<b>{'Yes'|@translate}</b>{else}{'No'|@translate}{/if}</td>
+      <td>{if $data.in_common}<b>{'Yes'|translate}</b>{else}{'No'|translate}{/if}</td>
+      <td>{if $data.in_admin}<b>{'Yes'|translate}</b>{else}{'No'|translate}{/if}</td>
     </tr>
     {foreach from=$data.files item=file_data key=file}
@@ -104,8 +104,8 @@
         <td></td>
         <td>{$file} <i>({', '|@implode:$file_data.lines})</i></td>
-        {if $file_data.is_admin}<td class="text-admin">{'Admin'|@translate}</td>
-        {else}<td class="text-common">{'Common'|@translate}</td>{/if}
+        {if $file_data.is_admin}<td class="text-admin">{'Admin'|translate}</td>
+        {else}<td class="text-common">{'Common'|translate}</td>{/if}
       {foreach from=$PLA_LANG_FILES item=lang_file}
-        <td>{if $lang_file|in_array:$file_data.lang_files}<b>{'Yes'|@translate}</b>{else}{'No'|@translate}{/if}</td>
+        <td>{if $lang_file|in_array:$file_data.lang_files}<b>{'Yes'|translate}</b>{else}{'No'|translate}{/if}</td>
       {/foreach}
         <td></td>
@@ -115,5 +115,5 @@
       <tr class="file string-{$data.stat} useless">
         <td></td>
-        <td><i>{'Unused'|@translate}</i></td>
+        <td><i>{'Unused'|translate}</i></td>
         {'<td></td>'|str_repeat:(3+$PLA_LANG_FILES|@count)}
       </tr>
@@ -125,9 +125,11 @@
     <tr>
       <th></th>
-      <th>{'%d strings : %d missing and %d useless.'|@translate|sprintf:$PLA_COUNTS.total:$PLA_COUNTS.missing:$PLA_COUNTS.useless}</th>
+      <th>{'%d strings : %d missing and %d useless.'|translate|sprintf:$PLA_COUNTS.total:$PLA_COUNTS.missing:$PLA_COUNTS.useless}</th>
       {'<th></th>'|str_repeat:(3+$PLA_LANG_FILES|@count)}
     </tr>
   </tfoot>
   </table>
+  
+  <p class="formButtons"><a href="{$U_REFRESH}" class="buttonLike">{'Refresh'|translate}</a></p>
 </fieldset>
 </form>
Index: /extensions/plugin_lang_analysis/template/config.tpl
===================================================================
--- /extensions/plugin_lang_analysis/template/config.tpl	(revision 26058)
+++ /extensions/plugin_lang_analysis/template/config.tpl	(revision 26059)
@@ -26,5 +26,5 @@
 <form method="POST" action="{$F_ACTION}" class="properties">
 <fieldset>
-  <legend>{'Select dependencies'|@translate}</legend>
+  <legend>{'Select dependencies'|translate}</legend>
   
   <table class="files">
@@ -32,6 +32,6 @@
     <tr>
       <th></th>
-      <th>{'Core dependency'|@translate}</th>
-      <th>{'Local dependencies'|@translate}</th>
+      <th>{'Core dependency'|translate}</th>
+      <th>{'Local dependencies'|translate}</th>
     </tr>
   </thead>
@@ -43,6 +43,6 @@
       <td>
         <div class="switch-button type">
-          <span class="item common {if not $file.is_admin}active{/if}">{'Common'|@translate}</span>
-          <span class="item admin {if $file.is_admin}active{/if}">{'Admin'|@translate}</span>
+          <span class="item common {if not $file.is_admin}active{/if}">{'Common'|translate}</span>
+          <span class="item admin {if $file.is_admin}active{/if}">{'Admin'|translate}</span>
           <input type="hidden" name="files[{$file.path}][is_admin]" value="{if $file.is_admin}true{else}false{/if}">
         </div>
@@ -61,5 +61,5 @@
   </table>
   
-  <p class="formButtons"><input type="submit" value="{'Continue'|@translate}"></p>
+  <p class="formButtons"><input type="submit" value="{'Continue'|translate}"></p>
 </fieldset>
 </form>
Index: /extensions/plugin_lang_analysis/template/main.tpl
===================================================================
--- /extensions/plugin_lang_analysis/template/main.tpl	(revision 26058)
+++ /extensions/plugin_lang_analysis/template/main.tpl	(revision 26059)
@@ -12,4 +12,4 @@
 
 {if isset($U_BACK)}
-<p style="text-align:left;margin-left:20px;"><a href="{$U_BACK}" class="buttonLike">{'Back'|@translate}</a></p>
+<p style="text-align:left;margin-left:20px;"><a href="{$U_BACK}" class="buttonLike">{'Back'|translate}</a></p>
 {/if}
Index: /extensions/plugin_lang_analysis/template/select.tpl
===================================================================
--- /extensions/plugin_lang_analysis/template/select.tpl	(revision 26058)
+++ /extensions/plugin_lang_analysis/template/select.tpl	(revision 26059)
@@ -1,12 +1,12 @@
-{footer_script}
+{footer_script}{literal}
 $('form#pla').submit(function() {
   window.location.href = $(this).attr('action') + '&plugin_id=' + $(this).find('select').val();
   return false;
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <form method="GET" action="{$F_ACTION}" class="properties" id="pla">
 <fieldset>
-  <legend>{'Select a plugin'|@translate}</legend>
+  <legend>{'Select a plugin'|translate}</legend>
   
   <select name="plugin_id">
@@ -16,9 +16,9 @@
   </select>
 
-  <p class="formButtons"><input type="submit" value="{'Continue'|@translate}"></p>
+  <p class="formButtons"><input type="submit" value="{'Continue'|translate}"></p>
 </fieldset>
 
 <fieldset>
-  <legend>{'How to use?'|@translate}</legend>
+  <legend>{'How to use?'|translate}</legend>
 
   <p>
@@ -65,5 +65,5 @@
 
 <fieldset>
-  <legend>{'Limitations'|@translate}</legend>
+  <legend>{'Limitations'|translate}</legend>
   
   <p>